Gtk2::EventBox(3)

NAME
Gtk2::EventBox

HIERARCHY
  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Bin
                           +----Gtk2::EventBox

INTERFACES
  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable

METHODS

  widget = Gtk2::EventBox->new

  boolean = $event_box->get_above_child
Since: gtk+ 2.4

  $event_box->set_above_child ($above_child)

•   $above_child (boolean)

Since: gtk+ 2.4

  boolean = $event_box->get_visible_window
Since: gtk+ 2.4

  $event_box->set_visible_window ($visible_window)

•   $visible_window (boolean)

Since: gtk+ 2.4

PROPERTIES

'above-child' (boolean : readable / writable / private)
    Whether the event-trapping window of the eventbox is above the window of the child widget as opposed to below it.

'visible-window' (boolean : readable / writable / private)
    Whether the event box is visible, as opposed to invisible and only used to trap events.

SEE ALSO
Gtk2, Glib::Object, Glib::InitiallyUnowned, Gtk2::Object, Gtk2::Widget, Gtk2::Container, Gtk2::Bin

COPYRIGHT
Copyright (C) 2003-2008 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.